Change log for celery package in Debian

136 of 36 results
Published in buster-release on 2019-03-18
Published in sid-release on 2019-03-08
celery (4.2.1-3) unstable; urgency=medium

  * Integrate py37-skip-tests patch into gbp-pq.
  * Add patch to relax version requirements on billiard (Closes:
    #923719).
  * Clean up pytest artifacts to allow two builds in a row.
  * Bump Standards-Version to 4.3.0.

 -- Michael Fladischer <email address hidden>  Thu, 07 Mar 2019 22:14:11 +0100
Superseded in buster-release on 2019-03-18
Superseded in sid-release on 2019-03-08
celery (4.2.1-2) unstable; urgency=medium

  * Team upload.
  * Skip test_sphinx also in the autopkgtest, like it's done for the
    regular build.

 -- Mattia Rizzolo <email address hidden>  Thu, 27 Sep 2018 08:06:32 +0200
Superseded in sid-release on 2018-09-27
celery (4.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

  [ Michael Fladischer ]
  * New upstream release.

  [ Héctor Orón Martínez ]
  * debian/patches/0008-Python-3.7-compat-issues-4852.patch: new
    (Closes: #902900)

  [ Michael Fladischer ]
  * debian/patches/0008-Added-compatibility-with-python-3.7-4902.patch
    new.

  [ Mattia Rizzolo ]
  * Add patch from Matthias Klose to skip two failing tests with py3.7.

 -- Mattia Rizzolo <email address hidden>  Wed, 26 Sep 2018 13:17:25 +0200
Deleted in buster-release (Reason: None provided.)
Superseded in sid-release on 2018-09-26
celery (4.2.0-1) unstable; urgency=low

  * New upstream release.
  * Replace debian/upstream-signing-key.pgp with debian/upstream/signing-
    key.asc.
  * Refresh patches.
  * Bump minimum kombu version to 4.2.0.
  * Add patch to remove upper version cap for pytest.
  * Bump Standards-Version to 4.1.4.
  * Remove async documentation from doc-base registration as it is no
    longer shipped by upstream.
  * Skip sphinx test as it fails and is not directly related to celery.
  * Fix spelling errors in patch descriptions as flagged by lintian.

 -- Michael Fladischer <email address hidden>  Thu, 21 Jun 2018 16:51:21 +0200

Available diffs

Superseded in buster-release on 2018-07-12
Superseded in sid-release on 2018-06-21
celery (4.1.0-4) unstable; urgency=medium

  * Run upstream tests with pytest instead of nose. Closes: 888407.

 -- Brian May <email address hidden>  Tue, 03 Apr 2018 08:38:39 +1000
Superseded in buster-release on 2018-04-08
Superseded in sid-release on 2018-04-03
celery (4.1.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * Add patch to disable pytest (>=3.3) log capturing to avoid changing
    log handlers (Closes: #892640).
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Enable autopkgtest-pkg-python testsuite.
  * Always use pristine-tar.

 -- Michael Fladischer <email address hidden>  Wed, 28 Mar 2018 21:32:57 +0200
Superseded in buster-release on 2018-04-03
Superseded in sid-release on 2018-03-29
celery (4.1.0-2) unstable; urgency=low

  * Add python(3)-ephem to Depends to allow for solar based schedules.
  * Pick upstream patch to fix solar based scheduler.
  * Refresh patches.

 -- Michael Fladischer <email address hidden>  Wed, 15 Nov 2017 14:58:01 +0100
Superseded in sid-release on 2017-11-16
celery (4.1.0-1) unstable; urgency=low

  * Upload to unstable (Closes: #872270).
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Build documentation in override_dh_sphinxdoc.
  * Clean up modified files to allow two builds in a row.
  * Bump Standards-Version to 4.1.1.
  * Drop X-Python* headers.
  * Install all process management integrations as examples in python-
    celery-common.
  * Use https:// for uscan URL.
  * Drop celeryd binary package.

 -- Michael Fladischer <email address hidden>  Wed, 08 Nov 2017 09:04:37 +0100
Deleted in experimental-release (Reason: None provided.)
celery (4.1.0-1~exp1) experimental; urgency=low

  [ Michael Fladischer ]
  * New upstream release.
  * Add new upstream signing key.
  * Refresh patches for 4.1.0.
  * Bump Standards-Version to 4.0.0.
  * Fix documentation build:
    - Switch to python2-sphinx.
    - Add python2-sphinx-celery to Build-Depends.
    - Bump versioned dependency on kombu.
    - Update doc-base registration.
  * Fix built-time tests by adding missing packages to Build-Depends:
    - python(3)-pytest
    - python(3)-case
    - python(3)-eventlet
    - python(3)-vine
  * Clean up modified files to allow two builds in a row.
  * Remove entrypoint wrappers missing from upstream:
    - celeryd
    - celerybeat
    - celery-multi
  * Reformat packaging files with cme for better readability.
  * Add patch disabling intersphinx to prevent network requests during
    build.

  [ Brian May ]
  * Apply upstream patch to allow Sphinx to strip memory addresses.
    Closes: #868808.

 -- Michael Fladischer <email address hidden>  Mon, 31 Jul 2017 17:46:38 +0200

Available diffs

Deleted in buster-release (Reason: None provided.)
Published in stretch-release on 2017-04-10
Superseded in sid-release on 2017-11-08
celery (3.1.23-7) unstable; urgency=medium

  * Fix bashisms in initd scripts. Closes: #858298.

 -- Brian May <email address hidden>  Thu, 30 Mar 2017 07:55:02 +1100
Superseded in stretch-release on 2017-04-10
Superseded in sid-release on 2017-03-30
celery (3.1.23-6) unstable; urgency=medium

  * Change celeryd to depend on python-celery-common instead of python-celery.
    Closes: #858305.
  * Add celeryd depends on lsb-base.

 -- Brian May <email address hidden>  Fri, 24 Mar 2017 17:00:36 +1100
Superseded in stretch-release on 2017-03-29
Superseded in sid-release on 2017-03-26
celery (3.1.23-5) unstable; urgency=medium

  * Move celeryd to admin section. Closes: #832192.

 -- Brian May <email address hidden>  Sun, 31 Jul 2016 16:19:29 +1000

Available diffs

Superseded in stretch-release on 2016-08-05
Superseded in sid-release on 2016-07-31
celery (3.1.23-4) unstable; urgency=medium

  * Update standards version to 3.9.8
  * Fix su invocation. Close: #824786.

 -- Brian May <email address hidden>  Wed, 25 May 2016 18:09:45 +1000

Available diffs

Superseded in stretch-release on 2016-05-31
Superseded in sid-release on 2016-05-25
celery (3.1.23-2) unstable; urgency=medium

  * Update dependencies. Closes: #823720.

 -- Brian May <email address hidden>  Mon, 09 May 2016 11:11:06 +1000
Superseded in stretch-release on 2016-05-14
Superseded in sid-release on 2016-05-09
celery (3.1.23-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL

  [ Brian May ]
  * New upstream release.

 -- Brian May <email address hidden>  Sun, 17 Apr 2016 19:17:26 +1000
Superseded in stretch-release on 2016-04-23
Superseded in sid-release on 2016-04-17
celery (3.1.20-1) unstable; urgency=low

  * New upstream release.
  * Reverse dependencies between python(3)-celery and python-celery-common as
    the later only provides supplemental tools depending on the actual
    implementation.
  * Refresh patch to remove external assets from documentation.
  * Bump all dependencies on billiard to >= 3.3.0.22.
  * Bump all dependencies on kombu to >= 3.0.33.
  * Demote python-kombu-doc to an unversioned Build-Depends.
  * Use https in Vcs-Git field.

 -- Michael Fladischer <email address hidden>  Mon, 01 Feb 2016 10:49:26 +0100
Superseded in stretch-release on 2016-02-12
Superseded in sid-release on 2016-02-01
celery (3.1.19-3) unstable; urgency=medium

  * Requires python-billiard 3.3.0.21 or later. Closes: #810899.

 -- Brian May <email address hidden>  Thu, 14 Jan 2016 11:06:44 +1100
Superseded in stretch-release on 2016-01-19
Superseded in sid-release on 2016-01-14
celery (3.1.19-2) unstable; urgency=medium

  * Fix debian/copyright. Closes: #803117.

 -- Brian May <email address hidden>  Mon, 30 Nov 2015 12:55:10 +1100
Superseded in stretch-release on 2015-12-05
Superseded in sid-release on 2015-11-30
celery (3.1.19-1) unstable; urgency=medium

  * New upstream release.
  * Add 0007-Update-license.patch from upstream. Closes: #803117.

 -- Brian May <email address hidden>  Thu, 19 Nov 2015 10:33:01 +1100
Superseded in stretch-release on 2015-11-24
Superseded in sid-release on 2015-11-19
celery (3.1.18-3) unstable; urgency=medium

  * Add 0007-Improve-the-magic-module-check-Closes-801640.patch from upstream
    to fix magic module check (Closes: #801640).
  * Add 0008-ci-Tests-passing-on-Python-3.5.patch from upstream to make tests
    pass on Python3.5.
  * Update Vcs fields for git migration.
  * Initialize git-dpm.
  * Bump debhelper compatibility and version to 9.

 -- Michael Fladischer <email address hidden>  Fri, 16 Oct 2015 18:47:46 +0200
Superseded in stretch-release on 2015-10-22
Superseded in sid-release on 2015-10-16
celery (3.1.18-2) unstable; urgency=medium

  * Add fix_test_typos.patch to fix misspelled method names in unit
    tests (Closes: #795393).

 -- Michael Fladischer <email address hidden>  Thu, 13 Aug 2015 21:07:36 +0200
Superseded in stretch-release on 2015-08-19
Superseded in sid-release on 2015-08-13
celery (3.1.18-1) unstable; urgency=medium

  * New upstream release (Closes: #762963).
  * Drop fix-tests patch since the certificate expiration test is now
    skipped by upstream.
  * Refresh patches.
  * Bump dependencies on python(3)-kombu to >= 3.0.24.
  * Source /lib/lsb/init-functions in all init scripts.
  * Drop XS-Testsuite as dpkg can now do autodetection.
  * Add X-Python3-Version for versions => 3.3.
  * Change my email address to <email address hidden>.

 -- Michael Fladischer <email address hidden>  Wed, 20 May 2015 16:01:03 +0200

Available diffs

Superseded in stretch-release on 2015-05-26
Published in jessie-release on 2014-11-03
Superseded in sid-release on 2015-05-20
celery (3.1.13-3) unstable; urgency=low


  * Drop unnecessary versioned dependencies for packages:
    + python-billiard
    + python3-billiard
    + python3-dateutil
    + python3-kombu
  * Remove python3-sphinx from Build-Depends as it is never used.
  * Rename licenses in d/copyright to conform to version 1.0 machine-
    readable names.
  * Update years and names/mail-adresses in d/copyright.
  * Move manpages to python-celery-common package.
  * Move supervisor configuration example to python-celery-common
    package.
  * Install README.rst as documentation in python3-celery package.
  * Bump Standards-Version to 3.9.6.
  * Specify unique descriptions for each package.
  * Add DEP3 header to fix_tests patch.
  * Remove unused license section for BSD-3-clause after pool.py has
    been dropped by upstream.
  * Do not install manpages for scripts that are no longer present.
  * Line-wrap fields in d/control.

 -- Michael Fladischer <email address hidden>  Tue, 21 Oct 2014 15:59:31 +0200

Available diffs

Superseded in jessie-release on 2014-11-03
Superseded in sid-release on 2014-10-23
celery (3.1.13-2) unstable; urgency=low


  [Brian May]
  * Remove version requirement in wrappers. Closes: #758640.
  * Add breaks/replaces for python-celery-common as it now contains files
    formally in python-celery.

  [Michael Fladischer]
  * Remove PHONY target declarations in d/rules.

 -- Brian May <email address hidden>  Thu, 21 Aug 2014 09:03:40 +1000
Superseded in sid-release on 2014-08-22
celery (3.1.13-1) unstable; urgency=low


  * New upstream version.

 -- Brian May <email address hidden>  Mon, 18 Aug 2014 13:30:19 +1000
Superseded in sid-release on 2014-08-18
celery (3.1.12-2) unstable; urgency=medium


  [ Michael Fladischer ]
  * Drop python-cl from Depends and Build-Depends as it is no longer needed.

  [ Brian May ]
  * Python3 package. Closes: #753555.
  * Change certificate test, as test certificate has expired. Closes: #757897.

 -- Brian May <email address hidden>  Wed, 13 Aug 2014 12:13:59 +1000

Available diffs

Superseded in jessie-release on 2014-08-27
Superseded in sid-release on 2014-08-17
celery (3.1.12-1) unstable; urgency=low


  * New upstream release.
  * Drop python-sphinxcontrib.issuetracker from Build-Depends as it is no
    longer needed (Closes: #750528).
  * Bump Depends and Build-Depends for kombu to 3.0.19.
  * Add autopkgtest that runs the upstream test suite against the installed
    packages.

 -- Michael Fladischer <email address hidden>  Tue, 24 Jun 2014 22:37:27 +0200
Superseded in jessie-release on 2014-07-22
Superseded in sid-release on 2014-07-11
celery (3.1.11-1) unstable; urgency=low


  * New upstream release.
  * Refresh patches.
  * Check PGP signature on upstream tarball:
    + Add signature URL to debian/watch.
    + Include upstream public PGP key 030A2708.
    + Allow debian/upstream-signing-key.pgp to be included as a binary.
  * Replace duplicate file in documentation with symlink.
  * Bump Build-Depends and Depends for python-billiard to (>= 3.3.0.17).
  * Bump Build-Depends and Depends for python-kombu to (>= 3.0.15).
  * Update files in celery.egg-info to be cleaned.

 -- Michael Fladischer <email address hidden>  Wed, 23 Apr 2014 15:31:00 +0200
Superseded in jessie-release on 2014-06-25
Superseded in sid-release on 2014-04-29
celery (3.1.9-1) unstable; urgency=medium


  * New upstream release.
  * Refresh patches.
  * Drop fix_dependencies.patch, as it is no longer needed.
  * Add privacy.patch to drop external assets from documentation.
  * Bump Build-Depends and Depends on python-billiard to >= 3.3.15.
  * Bump Build-Depends and Depends on python-kombu to >= 3.0.12.
  * Manually copy logo image to documentation as it does not get picked up by
    sphinx automatically.

 -- Michael Fladischer <email address hidden>  Tue, 11 Feb 2014 13:33:47 +0100
Superseded in jessie-release on 2014-02-19
Superseded in sid-release on 2014-02-13
celery (3.1.6-1) unstable; urgency=low


  [ Michael Fladischer ]
  * New upstream release (Closes: #711338).
  * Bump Standards version to 3.9.5.
  * Bump Build-Depends on debhelper to >= 8.1.0 to satisfy build-arch
    and build-indep targets.
  * Add build dependency on python-openssl to enable more tests.
  * Add drop_downgrade.patch to remove upstream celery.app detection and
    removal code.
  * Add disable_unstable_tests.patch to disable randomly failing test.
  * Add fix_test_crontab_is_due.patch to fix timeshifts in tests.
  * Add locales to Build-Depends so LC_ALL=C.UTF-8 can be used.
  * Make Build-Depends on python-mock versioned with (>= 1.0.1).
  * Use LC_ALL=C.UTF-8 when running tests.
  * Refresh existing patches.
  * Install upstream changelog.
  * Update upstream homepage URL to the official one.
  * celeryd:
    + Move daemon management scripts to the separate celeryd package.
    + Document change in NEWS.
    + Install init scripts from extra instead of contrib.
    + Move default file from python-celery to celeryd package.
    + Move postinst and postrm files from python-celery to celeryd package.
    + Breaks python-celery (<< 3.0.24-1) to avoid file conflicts.
    + Do not define CELERYD_PID_FILE in /etc/default/celeryd to enable
      automatic generation by init.d script.
    + Drop init.d/celeryevcam as it is no longer shipped by upstream.
  * python-celery
    + Install supervisord from extra instead of contrib.
    + Add versioned dependency on python-billiard.
    + Bump dependency on python-kombu(-doc) to >= 2.5.15.
    + Add dependency on python-tz.
    + Drop depenceny on python-amqplib, it has been replaced by
      python-amqp/python-librabbitmq in python-kombu.
    + Drop dependency on python-anyjson, as it is required by python-kombu which
      already has it set as a versioned dependency.
    + Install celery.1 manpage.
    + Suggest python-celery-doc.
  * python-celery-doc
    + Adapt filenames in d/docs to new upstream names.
    + Update directories in doc-base.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Michael Fladischer <email address hidden>  Sun, 15 Dec 2013 20:58:41 +0100
Superseded in jessie-release on 2014-01-01
Published in wheezy-release on 2013-03-07
Superseded in sid-release on 2013-12-22
celery (2.5.3-4) unstable; urgency=low


  * Unconditionally remove /var/log/celery on purge.

 -- Michael Fladischer <email address hidden>  Fri, 01 Mar 2013 12:17:32 +0100
Superseded in sid-release on 2013-03-01
celery (2.5.3-3) unstable; urgency=low


  * Remove logfiles during purge if user and group are removed.
  * Use /nonexistant as $HOME for user celery.

 -- Michael Fladischer <email address hidden>  Tue, 12 Feb 2013 08:57:59 +0100
Superseded in sid-release on 2013-03-01
celery (2.5.3-2) unstable; urgency=low


  * Create user celery in maintainer scripts (Closes: #697195).
  * Update year in d/copyright.

 -- Michael Fladischer <email address hidden>  Sun, 13 Jan 2013 19:10:12 +0100
Superseded in wheezy-release on 2013-03-07
Superseded in sid-release on 2013-01-28
celery (2.5.3-1) unstable; urgency=low


  * New upstream release.
  * Bump dependencies on kombu to (>= 2.1.5).
  * Update patches to remove nose-cover3.
  * Enable init scripts.
  * Update DEP-5 URL to 1.0.
  * Bump to standards version 3.9.3.

 -- Michael Fladischer <email address hidden>  Mon, 27 Feb 2012 14:58:29 +0100

Available diffs

Superseded in wheezy-release on 2012-06-10
Superseded in sid-release on 2012-05-30
celery (2.4.6-1) unstable; urgency=low


  * New upstream release.
    Fixes: CVE-2011-4356
  * Update copyright to 2012.

 -- Michael Fladischer <email address hidden>  Mon, 02 Jan 2012 12:45:47 +0100
Superseded in sid-release on 2012-01-03
celery (2.4.5-1) unstable; urgency=low


  * Initial release (Closes: #526350)

 -- Michael Fladischer <email address hidden>  Tue, 27 Dec 2011 11:57:41 +0100
136 of 36 results